#' @import png
#' @import magick
#'
#' @export
#'
# Fonction pour redimensionner l'image
resizeLogo <- function(filePath, widths) {
  # Charger l'image
  img <- image_read(filePath)

  # Calculer le ratio d'aspect
  original_width <- image_info(img)$width
  original_height <- image_info(img)$height
  aspect_ratio <- original_height / original_width

  # Boucle pour redimensionner à chaque largeur spécifiée
  output_paths <- sapply(widths, function(width) {
    # Calculer la nouvelle hauteur en gardant le ratio d'aspect
    new_height <- round(width * aspect_ratio)

    # Redimensionner l'image
    resized_img <- image_resize(img, geometry_size_pixels(width = width, height = new_height))

    # Sauvegarder l'image redimensionnée
    outputPath <- gsub(".png", paste0("_", width, "px.png"), filePath)
    image_write(resized_img, path = outputPath, format = "png")

    return(outputPath)
  })

  return(output_paths)
}
