% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plotMapVars.R
\name{plotMapVars}
\alias{plotMapVars}
\title{Affichage de données cartographiées}
\usage{
plotMapVars(df, var, filters, add, main)
}
\arguments{
\item{df}{Un data frame de type `sf` contenant les polygones géographiques et les données associées.}

\item{var}{Variables de `df` à visualiser.}

\item{filters}{Une liste de filtres à appliquer.}

\item{add}{Variable suplémentaire a afficher sur les ploygones.}

\item{main}{Un titre pour la carte.}
}
\value{
Un objet ggplot représentant la carte avec les polygones filtrés et les données visualisées.
}
\description{
Cette fonction crée une carte pour la visulaisation de données spécifiques au sein de
polygones géographiques, en filtrant et ajoutant des informations supplémentaires.
}
\examples{
\dontrun{
df <- st_read("path/to/shapefile.shp")
plotMapVars(df, var = "2021_moy", filters = c("Domestique", "Croissant"), add = "2021_Effectif", main = "Carte de la Consomation")
}

}
